# E:/uas2/Server/Fellowship.cpp File Reference

`#include "Client.h"`
`#include "Fellowship.h"`
`#include "MasterServer.h"`

## Detailed Description

Implements general functionality for fellowships.

TODO: Separate static and non-static (instance-based) functions. (Static functions should probably be in a fellowship manager file.) Make fellowship stat update messages active (sent periodically) rather than passive (sent for every change).